import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        hamletParser.replaceToLeon();

        Assert.assertFalse(hamletParser.getHamletData().contains("Hamlet"));
    }

    @Test
    public void testChangeHoratioToTariq() {
        hamletParser.replaceToTarig();

        Assert.assertFalse(hamletParser.findHoratio());
    }

    @Test
    public void testFindHoratio() {
         boolean expected  = hamletParser.getHamletData().contains("Horatio");

         boolean actual  = hamletParser.findHoratio();
         Assert.assertEquals(expected, actual);


    }

    @Test
    public void testFindHamlet() {
        boolean expected  = hamletParser.getHamletData().contains("Hamlet");

        boolean actual  = hamletParser.findHoratio();
        Assert.assertEquals(expected, actual);


    }
}